using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using MySql.Data;

namespace GUIDTest
{
    class Program
    {
        static void Main(string[] args)
        {
            MySql.Data.MySqlClient.MySqlConnectionStringBuilder csb = new MySql.Data.MySqlClient.MySqlConnectionStringBuilder();

            csb.Database = "mysqlconv_dbo";
            csb.UserID = "root";
            csb.Password = "pswd";
            csb.Server = "localhost";
            csb.Port = 3306;
           
   


            System.Console.WriteLine(csb.ToString());

            MySql.Data.MySqlClient.MySqlConnection conn = new MySql.Data.MySqlClient.MySqlConnection();

            conn.ConnectionString = csb.ToString();

            conn.Open();
            MySql.Data.MySqlClient.MySqlCommand cmd = new MySql.Data.MySqlClient.MySqlCommand(
                   @"select AGUID from tst_guid_test",
                   conn);
      
            DataSet ds = new DataSet();

            MySql.Data.MySqlClient.MySqlDataAdapter adapter = new MySql.Data.MySqlClient.MySqlDataAdapter(cmd);

            int i = 0;

            try
            {
                i = adapter.Fill(ds);
            }
            catch (Exception ex)
            {
                System.Console.WriteLine(ex.Message);
            }
            System.Console.WriteLine("Fill returns {0}", i);
               
            conn.Close();
        }
    }
}
